﻿using System.Collections.Generic;
using System.Windows;

namespace SfColumns
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataGrid.CellRenderers.Remove("TextBox");
            DataGrid.CellRenderers.Add("TextBox", new TestTextRenderer());

            var persons = new List<Person>
            {
                new Person {Name = "A"},
                new Person {Name = "B"},
                new Person {Name = "C"},
                new Person {Name = "D"},
            };

            DataGrid.ItemsSource = persons;
        }
    }
}
